#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[PARAMTRAGE DES SOUS-TITRES]

if [ ! "$Sub1_cd1" ]
then
	export SUBTITLES_ONE=""
fi

if [ ! "$Sub2_cd1" ]
then
	export SUBTITLES_TWO=""
fi

#[MENU_MODE DEBUG]

if [ ! "$Menu_mode" ] || ([ "$Time2" ] && [ "$Sub2_cd1" ])
then
	Menu_mode="4"
elif [ ! "$Time2" ] && [ "$Sub2_cd1" ]
then
	Menu_mode="3"
fi

if [ "$Menu_mode" = "1" ]
then
	Ligne=2
elif [ "$Menu_mode" -lt "4" ]
then
	Ligne=3
else
	Ligne=4
fi

#[INTITULS AUDIO]

if [ ! "$Audiotitle1" ]
then
	export Audiotitle1="Audio 1"
fi

if [ ! "$Audiotitle2" ]
then
	export Audiotitle2="Audio 2"
fi

#[GESTION DES VIGNETTES]

if [ -f $DIRNAME/"$Pict_dir"/"$Picture1" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
elif [ -f $cd1/"$Pict_dir"/"$Picture1" ]
then
	cp $cd1/"$Pict_dir"/"$Picture1" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture1"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture2" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
elif [ -f $cd1/"$Pict_dir"/"$Picture2" ]
then
	cp $cd1/"$Pict_dir"/"$Picture2" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture2"
fi

if [ -f $DIRNAME/"$Pict_dir"/"$Picture3" ]
then
	cp $DIRNAME/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
elif [ -f $cd1/"$Pict_dir"/"$Picture3" ]
then
	cp $cd1/"$Pict_dir"/"$Picture3" /tmp/xchaman.tmp
	chmod +w /tmp/xchaman.tmp/"$Picture3"
fi

#[ASPECTRATIO]

if [ "$Aspectratio" ]
then
	if [ "$Aspectratio" = "4:3" ]
	then
		export ASPECTRATIO=" -r 4:3"
	elif [ "$Aspectratio" = "16:9" ]
	then
		export ASPECTRATIO=" -r square"
	elif [ "$Aspectratio" = "2.35" ]
	then
		export ASPECTRATIO=" -r anamorphic"
	fi
fi

#[MENU_MODE]

cat << EOF > /tmp/xchaman.tmp/menu
#!/bin/sh
. /tmp/xchaman.tmp/param
. /tmp/xchaman.tmp/locale

#[LECTURE VIDEO AUDIO 1 CD 1]

PlayA1()
{
xine -pfhq$ASPECTRATIO -P /tmp/xchaman.tmp/playxine_a1.tox
}

DetectA2()
{
if [ "$Movie2" ]
then
	SearchA2
else
	rm -f /tmp/xchaman.tmp/*
fi
}
#[GNRATION FICHIER TOX AUDIO 1 CD 1]

echo "# toxine playlist

entry {
	identifier = Video Audio 1 cd 1;
	mrl = $Movie;
	subtitle = $Sub1_cd1;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_a1.tox

#[LECTURE VIDEO AUDIO 2 CD 1]

PlayB1()
{
xine -a 1 -pfhq$ASPECTRATIO -P /tmp/xchaman.tmp/playxine_b1.tox
}

DetectB2()
{
if [ "$Movie2" ]
then
	SearchB2
else
	rm -f /tmp/xchaman.tmp/*
fi
}

#[GNRATION FICHIER TOX AUDIO 2 CD 1]

echo "# toxine playlist

entry {
	identifier = Video Audio 2 cd 1;
	mrl = $Movie;
	subtitle = $Sub2_cd1;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_b1.tox

#[LECTURE VIDEO AUDIO 1 CD 2]

PlayA2()
{
xine -pfhq$ASPECTRATIO -P /tmp/xchaman.tmp/playxine_a2.tox
}

#[GNRATION FICHIER TOX AUDIO 1 CD 2]

echo "# toxine playlist

entry {
	identifier = Video Audio 1 cd 2;
	mrl = $Movie2;
	subtitle = $Sub1_cd2;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_a2.tox

#[LECTURE VIDEO AUDIO 2 CD 2]

PlayB2()
{
xine -a 1 -pfhq$ASPECTRATIO -P /tmp/xchaman.tmp/playxine_b2.tox
}

#[GNRATION FICHIER TOX AUDIO 2 CD 2]

echo "# toxine playlist

entry {
	identifier = Video Audio 2 cd 2;
	mrl = $Movie2;
	subtitle = $Sub2_cd2;
	start = 0;
	end = -1;
};
#END" > /tmp/xchaman.tmp/playxine_b2.tox

#[RECHERCHE VIDEO AUDIO 1 CD 1]

SearchA1()
{
if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayA1
	DetectA2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayA1
	DetectA2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayA1
	DetectA2
elif [ -e "$Movie" ]
then
	PlayA1
	DetectA2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayA1
	DetectA2
else
echo -e "\a"
DIALOG=Xdialog

\$DIALOG --title "$ERROR_TITLE" \
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case \$? in
  0)
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

#[RECHERCHE VIDEO AUDIO 2 CD 1]

SearchB1()
{
if [ -e $DIRNAME/"$Directory"/"$Movie" ]
then
	cd $DIRNAME/"$Directory"
	PlayB1
	DetectB2
elif [ -e $cd1/"$Directory"/"$Movie" ]
then
	cd $cd1/"$Directory"
	PlayB1
	DetectB2
elif [ -e $cd2/"$Directory"/"$Movie" ]
then
	cd $cd2/"$Directory"
	PlayB1
	DetectB2
elif [ -e "$Movie" ]
then
	PlayB1
	DetectB2
elif [ -e $POSITION/"$Directory"/"$Movie" ]
then
	cd $POSITION/"$Directory"
	PlayB1
	DetectB2
else

DIALOG=Xdialog

\$DIALOG --title "$ERROR_TITLE" \
	--icon "/usr/local/XChaMan-$XCM_VERSION/data/warning.xpm" \
        --msgbox "$ERROR_MESSAGE_ONE !
$ERROR_MESSAGE_TWO." 0 0

case \$? in
  0)
    rm -f /tmp/xchaman.tmp/* ;;
  255)
    rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

#[RECHERCHE VIDEO AUDIO 1 CD 2]

SearchA2()
{
if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayA2
	rm -f /tmp/xchaman.tmp/*
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayA2
	rm -f /tmp/xchaman.tmp/*
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

\$DIALOG --title "$CALL_CD2_TITLE" \
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \
        --yesno "$CALL_CD2_MESSAGE" 200x100

case \$? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
			if [ ! `grep "$cd2" /etc/mtab` ]
			then
				mount $cd2
			fi
		else
			eject -t $cd1
			if [ ! `grep "$cd1 " /etc/mtab` ]
			then
				mount $cd1
			fi
		fi
	fi
	SearchA2 ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

#[RECHERCHE VIDEO AUDIO 2 CD 2]

SearchB2()
{
if [ -e $cd2/"$Directory2"/"$Movie2" ]
then
	cd $cd2/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
elif [ -e $cd1/"$Directory2"/"$Movie2" ]
then
	cd $cd1/"$Directory2"
	PlayB2
	rm -f /tmp/xchaman.tmp/*
else
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject $cd2
		else
			eject $cd1
		fi
	fi
DIALOG=Xdialog

\$DIALOG --title "$CALL_CD2_TITLE" \
	--icon /usr/local/XChaMan-$XCM_VERSION/data/cdrom.xpm \
        --yesno "$CALL_CD2_MESSAGE" 200x100

case \$? in
  0)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
			if [ ! `grep "$cd2" /etc/mtab` ]
			then
				mount $cd2
			fi
		else
			eject -t $cd1
			if [ ! `grep "$cd1 " /etc/mtab` ]
			then
				mount $cd1
			fi
		fi
	fi
	SearchB2 ;;
  1)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
	rm -f /tmp/xchaman.tmp/* ;;
  255)
	if [ "$cd1" != "$cd2" ]
	then
		if [ -e $cd1/"$Directory"/"$Movie" ]
		then
			eject -t $cd2
		else
			eject -t $cd1
		fi
	fi
 	rm -f /tmp/xchaman.tmp/* ;;
esac
fi
}

CHOICE=\`Xdialog --stdout --title "X-ChaMan-$XCM_VERSION - Player : Xine" \\
--backtitle "$Title. $MOVIE_TIME : $Duree" \\
--icon "/tmp/xchaman.tmp/$Picture1" \\
--help "$HELP_MESSAGE_ONE Xdialog : http://www.chez.com/godefroy\n\nX-ChaMan $HELP_MESSAGE_TWO MPlayer : http://www.mplayerhq.hu\n$HELP_MESSAGE_THREE Xine : http://xine.sourceforge.net/\n\nX-ChaMan $HELP_MESSAGE_FOUR (GNU/GPL)\n\n$HELP_MESSAGE_FIVE <twocats@free.fr>\nX-ChaMan-$XCM_VERSION (c) 2002-2003 Dominique Biendin\nHome page : http://twocats.free.fr" \\
--left \\
--no-tags \\
--radiolist "==============================\nX-ChaMan v. $XCM_VERSION\nChapter Manager for DivX Movies.\n==============================" 0 0 $Ligne \\
EOF
if [ "$Menu_mode" = "1" ]
then
cat << EOF >> /tmp/xchaman.tmp/menu
"vf"  "\$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \`
for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "2" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
			chapters)
			export AUDIOLANG="0" Version="$Audiotitle1 $SUBTITLES_ONE"
			/usr/local/XChaMan-$XCM_VERSION/data/chaptersxine.sh ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "3" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off\`
	for i in \$CHOICE ; do
		case \$i in
			vf)
			SearchA1 ;;
			vo)
			SearchB1 ;;
		esac
	done
EOF
elif [ "$Menu_mode" = "4" ]
then
cat << EOF >>/tmp/xchaman.tmp/menu
"vf"  "$MENU_BUTTON_ONE - $Audiotitle1 $SUBTITLES_ONE" ON \\
"vo"  "$MENU_BUTTON_TWO - $Audiotitle2 $SUBTITLES_TWO" off \\
"chapters"  "$MENU_CHAPTERS_ACCESS" off\`
for i in \$CHOICE ; do
	case \$i in
		vf)
		SearchA1 ;;
		vo)
		SearchB1 ;;
		chapters)
		/usr/local/XChaMan-$XCM_VERSION/data/languagexine.sh ;;
	esac
done
EOF
fi
chmod a+x /tmp/xchaman.tmp/menu
exec /tmp/xchaman.tmp/menu
